Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Jean Louis <[email-masked]>
Date: Wed, 9 Dec 2020 18:24:17 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-12-09 18:13]:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Can you give a recipe for reproducing this bug, starting from
> > "emacs -Q"?  I do not have Graphene installed (which seems to be a package
> > from Melpa), so a recipe for reproducing the bug without installing that
> > package would be nice.
> 
> More information was requested, but no response was given within a 
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

I have tried C-x C-v and that completes to open file literally and
then C-k is bound to the function below. I cannot see the bug, it is
rather key binding in ido to delete the file.

C-k runs the command ido-delete-file-at-head (found in
ido-completion-map), which is an interactive compiled Lisp function in
‘ido.el’.

It is bound to C-k.

(ido-delete-file-at-head)

Delete the file at the head of ‘ido-matches’.
Trash the file if ‘delete-by-moving-to-trash’ is non-nil.
If cursor is not at the end of the user input, delete to end of input.